.events-wrapper {
    .events-home {
        max-width: 1406px;
        margin: auto;
    }

    .events-back {
    	margin-top: 10px;
        display: grid;
        height: 440px;
        border-radius: 20px;
        background-image: linear-gradient(0deg, #3D65C9, #3D65C9),
            radial-gradient(45.48% 170.49% at 80.09% 4.93%, rgba(180, 204, 240, 0.2) 0%, rgba(179, 203, 240, 0.2) 6.67%, rgba(176, 201, 239, 0.2) 13.33%, rgba(171, 196, 237, 0.2) 20%, rgba(164, 190, 235, 0.2) 26.67%, rgba(155, 183, 232, 0.2) 33.33%, rgba(145, 173, 228, 0.2) 40%, rgba(133, 163, 224, 0.2) 46.67%, rgba(121, 153, 220, 0.2) 53.33%, rgba(109, 143, 216, 0.2) 60%, rgba(99, 133, 212, 0.2) 66.67%, rgba(90, 126, 209, 0.2) 73.33%, rgba(83, 120, 207, 0.2) 80%, rgba(78, 115, 205, 0.2) 86.67%, rgba(75, 113, 204, 0.2) 93.33%, rgba(74, 112, 204, 0.2) 100%);
    }

    .events-image {
        padding: 0px 80px 40px 80px;
        background-image: url(./images/events_home.png);
        background-size: cover;
        background-position: center;
        align-content: center;
        border-radius: 20px;
    }

    .events-text {
        max-width: 640px;
        font-family: Manrope;
        display: grid;
        gap: 20px;
    }

    .events-title {
        font-family: Manrope;
        font-weight: 550;
 		font-variation-settings: 'wght' 550;
        font-size: 52px;
        line-height: 120%;
        text-wrap: balance;
        color: #FFFFFF;
        text-shadow: 0px 0px 2px #3D65C9, 0px 0px 8px #3D65C9;
    }

    .events-subtitle {
        font-weight: 500;
 		font-variation-settings: 'wght' 500;
        font-size: 20px;
        line-height: 130%;
        text-wrap: balance;
        color: rgba(255, 255, 255, 0.9);
        text-shadow: 0px 0px 2px #3D65C9, 0px 0px 8px #3D65C9;
    }

    .events-buttons {
        max-width: 1016px;
        background: #F0F4F9;
        display: grid;
        grid-template-columns: repeat(4, 25%);
        padding: 5px;
        border-radius: 9999px;
        margin: auto;
        margin-top: 10px;
    }

    .events-button {
        border-radius: 60px;
        border: none;
        padding: 0px 32px;
        cursor: pointer;

        font-family: Manrope;
        font-weight: 500;
 		font-variation-settings:  'wght' 500;
        font-size: 16px;
        line-height: 56px;
    }

    .no-active {
        background: #F0F4F9;
        color: #1A1A1A;
        transition: background 0.08s ease-out;
    }

    .no-active:hover {
        background: #DFE9F6;
    }

    .active {
        background: #5579D2;
        color: #FFFFFF;
    }


    /*Все мероприятия*/
    .near-event {
        margin: auto;
        margin-top: 80px;
        max-width: 1334px;
    }

    .near-title {
        font-family: Manrope;
        font-weight: 550;
 		font-variation-settings: 'wght' 550;
        font-size: 36px;
        line-height: 125%;
        color: #1A1A1A;
        margin: auto;
        text-align: center;
        padding: 0px 32px 40px 32px;
    }

    .near-block {
        max-width: 1016px;
        display: grid;
        grid-template-columns: repeat(2, 50%);
        margin: auto;
        min-height: 320px;
		cursor: pointer;
    }

    .near-block:hover {
        .near-info {
            background: #DFE9F6;
        }

        .image-style {
            transform: scale(1.05);
        }
    }

    .near-image {
        border-radius: 20px;
        overflow: hidden;
        display: flex;
        justify-content: center;
    }

    .image-style {
         width: 100%;
		object-fit: cover;
		display: block;
        height: 100%;
        transform: scale(1);
        transition: transform 0.2s ease-out;
    }

    .near-info {
        border-radius: 20px;
        background: #F0F4F9;
        padding: 32px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        text-wrap: balance;
        transition: background 0.2s ease-out;
    }

    .near-subtitle {
        padding-bottom: 48px;
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    .near-subtitle-text {
        font-family: Manrope;
        font-weight: 550;
		font-variation-settings: 'wght' 550;
        font-size: 24px;
        line-height: 120%;
        color: #1A1A1A;
        text-wrap: balance;
    }

    .tags {
        display: flex;
        gap: 8px;
        align-items: center;
    }

    .blue-tag {
        border-radius: 5px;
        background: #5579D2;
        padding: 0px 12px;
        width: fit-content;
        box-shadow: 0px 0px 8px 0px rgba(155, 184, 237, 1) inset, -0.5px -0.5px 1px 0px rgba(72, 98, 201, 0.5) inset, 0.5px 0.5px 1px 0px rgba(255, 255, 255, 0.75) inset;
        display: flex;
        align-items: center;

        font-family: Manrope;
        font-weight: 500;
		font-variation-settings: 'wght' 500;
        font-size: 12px;
        line-height: 28px;
        color: #FFFFFF;
    }

    .white-tag {
        border-radius: 5px;
        padding: 0px 12px;
        width: fit-content;
        color: rgba(26, 26, 26, 0.7);
        background: rgba(255, 255, 255, 0.8);
        box-shadow: 0px 0px 8px 0px rgba(255, 255, 255, 1) inset, -0.5px -0.5px 1px 0px rgba(255, 255, 255, 0.75) inset, 0.5px 0.5px 1px 0px rgba(255, 255, 255, 0.75) inset;

        font-family: Manrope;
        font-weight: 500;
		font-variation-settings: 'wght' 500;
        font-size: 12px;
        line-height: 28px;
    }

    .near-comment {
        font-family: Manrope;
        font-weight: 500;
		font-variation-settings: 'wght' 500;
        font-size: 16px;
        line-height: 135%;
        color: rgba(26, 26, 26, 0.7)
    }

    .telegram {
        margin-top: 48px;
        text-align: center;

		.block-t-button {
			width: fit-content;
			padding: 0px;
 			background: radial-gradient(51.4% 268.55% at 30.1% 0%, #00C1CF 0%, #3364CC 100%);
			box-shadow: 4px 4px 8px -4px rgba(51, 100, 204, 0.4) inset, -4px -4px 8px -4px rgba(255, 255, 255, 0.2) inset;
			margin: auto;
			border-radius: 40px;
		}

        .t-button {
            cursor: pointer;
            display: flex;
            gap: 12px;
            align-items: center;
            border: none;
			border-radius: 40px;
            padding: 0px 32px;
            color: #FFFFFF;

            font-family: Manrope;
            font-weight: 500;
			font-variation-settings: 'wght' 500;
            font-size: 16px;
            line-height: 56px;
        }

		.hoverback {
			background: transparent;
		}

		.hoverback:hover {
			background: rgba(255, 255, 255, 0.2);
		}
    }

    .allevents {
        margin: auto;
        max-width: 1334px;
        padding-top: 40px;

        .events-type {
            margin-top: 80px;
        }

        .type-title {
            padding-bottom: 32px;
            display: flex;
            justify-content: space-between;
            align-items: end;
        }

        .type-title-text {
            padding: 0px 32px;
            font-family: Manrope;
            font-weight: 550;
			font-variation-settings: 'wght' 550;
            font-size: 36px;
            line-height: 125%;
            color: #1A1A1A;
        }

        .type-transition {
            width: fit-content;
            display: flex;
            align-items: center;
            cursor: pointer;

            font-family: Manrope;
            font-weight: 500;
			font-variation-settings: 'wght' 500;
            font-size: 18px;
            line-height: 140%;
            color: #1A1A1A;
        }

        .type-cards {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 10px;
        }

        .type-card {
            background: #F0F4F9;
            border-radius: 20px;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
			cursor: pointer;
			transition: background 0.08s ease-out;
        }

        .type-card:hover {
            background: #DFE9F6;
        }

        .p-22 {
            padding: 22px;
        }

        .card-info {
            display: flex;
            flex-direction: column;
            gap: 12px;
        }

        .isimage {
            padding: 18px 22px 26px 22px;
            display: flex;
            flex-direction: column;
            gap: 12px;
        }

        .type-image {
            border-top-left-radius: 20px;
            border-top-right-radius: 20px;
            height: 208px;
            background-size: cover;
            background-position: center;
        }

        .type-tag {
            border-radius: 9999px;
            padding: 0px 14px;
            background: rgba(255, 255, 255, 0.8);
            width: fit-content;
            color: rgba(26, 26, 26, 0.7);
            box-shadow: 0.5px 0.5px 1px 0px #FFFFFF inset, -0.5px -0.5px 1px 0px #FFFFFF inset;

            font-family: Manrope;
            font-weight: 500;
			font-variation-settings: 'wght' 500;
            font-size: 12px;
            line-height: 28px;

            margin-top: 16px;
            margin-right: 16px;
        }

        .align-end {
            display: flex;
            justify-content: end;
        }

        .type-info {
            font-family: Manrope;
            font-weight: 550;
			font-variation-settings: 'wght' 550;
            font-size: 18px;
            line-height: 130%;
            text-wrap: balance;
			color: #1A1A1A;
        }

        .point {
            width: 8px;
            height: 8px;
            background: #FFFFFF;
            margin-right: 6px;
            border-radius: 9999px;
        }

        .event-process {
            font-family: Manrope;
            font-weight: 550;
			font-variation-settings: 'wght' 550;
            font-size: 14px;
            line-height: 130%;
            color: rgba(26, 26, 26, 0.7);
            text-wrap: balance;
        }

        .ml-6 {
            margin-left: 6px;
        }
    }


    .invite {
        max-width: 1334px;
        margin: auto;
        margin-top: 144px;
    }

    .invite-back {
        padding: 10px;
        border-radius: 20px;
        display: grid;
        grid-template-columns: 50% 50%;
        gap: 10px;
        background: radial-gradient(100% 100% at 100% 0%, #81A0DF 0%, #3D65C9 100%),
            linear-gradient(0deg, rgba(61, 101, 201, 0.4), rgba(61, 101, 201, 0.4));

    }

    .invite-text {
        display: flex;
        flex-direction: column;
        padding: 22px;
        gap: 32px;

        font-family: Manrope;
        font-weight: 550;
		font-variation-settings: 'wght' 550;
        font-size: 32px;
        line-height: 125%;
        color: #FFFFFF;
        text-wrap: balance;
    }

    .invite-list {
        display: flex;
        flex-direction: column;
        gap: 20px;

        font-family: Manrope;
        font-weight: 500;
		font-variation-settings: 'wght' 500;
        font-size: 16px;
        line-height: 140%;
        color: rgba(255, 255, 255, 0.9);
    }

    .element-list {
        display: flex;
        gap: 12px;
    }

    .check-circle {
        min-width: 22px;
        height: 22px;
        box-shadow: 0.5px 0.5px 1px 0px rgba(255, 255, 255, 0.6) inset, -0.5px -0.5px 1px 0px rgba(255, 255, 255, 0.6) inset, 0px 0px 8px 0px rgba(255, 255, 255, 0.1) inset;
        border-radius: 9999px;
        border: 1px solid rgba(85, 121, 210, 0.1);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .invite-activities {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .invite-activity {
        background: rgba(255, 255, 255, 0.9);
        display: flex;
        gap: 16px;
        padding: 22px;
        border-radius: 10px;
        box-shadow: 1px 1px 2px 0px rgba(255, 255, 255, 1) inset, -1px -1px 2px 0px rgba(255, 255, 255, 1) inset;
        width: calc(100% - 10px);
        transition: background 0.08s ease-out;
		cursor: pointer;
    }

    .invite-activity:hover {
        background: #DFE9F6;
    }

    .invite-transition {
        font-family: Manrope;
        font-weight: 550;
		font-variation-settings: 'wght' 550;
        font-size: 18px;
        line-height: 125%;
        color: #1A1A1A;
		margin-bottom: 6px;
        align-items: center;
        display: flex;
    }

    .invite-activity-text {
        font-family: Manrope;
        font-weight: 500;
		font-variation-settings: 'wght' 500;
        font-size: 16px;
        line-height: 140%;
        color: rgba(26, 26, 26, 0.7);
    }

    /*все мероприятия одного типа*/

    .particular-type {
        margin-top: 80px;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
    }

    @media (max-width: 1199px) {
        .events-image {
            padding: 0px 40px 40px 40px;
        }
    }

    @media (max-width: 1140px) {
        .allevents {
            .type-cards {
                overflow-x: scroll;
                margin-left: -10px;
                margin-right: -10px;
                padding: 0px 10px;
            }

            .type-card {
                width: 365px;
            }
        }

        .particular-type {
            grid-template-columns: repeat(2, 1fr);
        }

        /*все мероприятия одного типа*/

        .particular {
            width: auto !important;
        }
    }

    @media (max-width: 959px) {
        .events-home {
            margin-top: 70px;
        }

		.events-text {
			max-width: 560px;
		}
    }

    @media (max-width: 839px) {
		.near-subtitle-text {
				font-size: 20px;
		}

        .near-block {
            grid-template-columns: 100%
        }

        .near-image {
            display: block;
        }

		.near-info {
			padding: 22px;
		}

        .image-style {
            width: 100%;
        }

        .near-subtitle {
            padding-bottom: 12px;
        }

		.near-subtitle-text {
        	text-wrap: auto;
		}

        .invite-back {
            grid-template-columns: 100%
        }
    }

    @media (max-width: 700px) {

        /*все мероприятия одного типа*/
        .particular-type {
            grid-template-columns: repeat(1, 1fr);
        }
    }

    @media (max-width: 599px) {
        .events-back {
            height: auto;
        }

        .events-image {
            padding: 40px 20px 240px 20px;
            background-image: url(./images/events_home_small.png);
        }

        .events-title {
            font-size: 32px;
        }

        .events-subtitle {
            font-size: 16px;
        }

        .events-button {
            line-height: 44px;
        	min-width: fit-content;
        }

        .events-buttons {
        	grid-template-columns: repeat(4, auto);
            width: 100%;
            overflow-x: scroll;
		}

        .near-title {
            font-size: 24px;
            padding: 0px 20px 24px 20px;
        }

        .near-subtitle-text {
            font-size: 20px;
        }

        .near-image {
            height: 176px;
        }

        .telegram {
            .t-button {
                font-size: 14px;
                padding: 0px 16px;
            }
        }


        .allevents {
            .type-title {
                padding-bottom: 24px;
			}

            .type-title-text {
                font-size: 24px;
                padding: 0px 24px;
            }

            .type-card {
                width: 80vw;
			}

            .none {
                display: none;
            }
        }

        .invite-text {
            font-size: 24px;
        }

        .invite-activity {
            flex-direction: column;
			width: 100%;
        }
    }
}